For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTCreate user
          • GETGet user
          • PUTUpdate user
          • DELDelete user
          • PUTConfigure MFA
          • POSTAuthenticate user
          • POSTRefresh token
          • GETLogout user
          • PUTUpdate password
          • POSTReset password
          • POSTValidate MFA
          • POSTResend MFA code
          • GETList users by org
          • GETList users by paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsUser management

Authenticate user

|View as Markdown|Open in Claude|
POST
/User/auth/:provider
POST
/api/User/auth/:provider
$curl -X POST https://api-sandbox.payabli.com/api/User/auth/provider \
> -H "requestToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "responseText": "Success",
3 "isSuccess": true,
4 "mfa": false,
5 "mfaMode": "email",
6 "mfaValidationCode": "50-2E-4A-16-93-0E-41-41-07-EE-22-B6-00-99-00-99",
7 "responseData": "g**.com"
8}
This endpoint requires an application API token.
Was this page helpful?
Previous

Configure MFA

Next

Refresh token

Authentication

requestTokenstring
API Key authentication via header

Path parameters

providerstringRequired

Auth provider. Pass null to use the built-in provider.

Request

This endpoint expects an object.
emailstringOptionalformat: "email"<=320 characters
Email address.
entrystringOptional

Identifier for entry point originating the request (used by front-end apps)

entryTypeintegerOptional

Type of entry identifier: 0 - partner, 2 - paypoint. This is used by front-end apps, required if an Entry is indicated.

pswstringOptional
userIdlongOptional
userTokenIdstringOptional

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

mfaboolean

When true, multi-factor authentication (MFA) is enabled.

mfaModestring

The mode of multi-factor authentication used.

mfaValidationCodestring

The validation code for multi-factor authentication, typically a hash or similar encrypted format.

responseDatastring
Data returned by the response, masked for security.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error